> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all possible wireless blocklist values

> Retrieve all wireless blocklist values for a given blocklist type.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/wireless/sim-cards-configuration.yml get /wireless_blocklist_values
openapi: 3.1.0
info:
  title: SIM Cards Configuration API
  version: 2.0.0
  description: >-
    Network configuration for SIM cards including public IP management, private
    wireless gateways, blocklists, traffic policy profiles, and data usage
    notifications.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /wireless_blocklist_values:
    get:
      tags:
        - Wireless Blocklists
      summary: Get all possible wireless blocklist values
      description: Retrieve all wireless blocklist values for a given blocklist type.
      operationId: WirelessBlocklistsGetAll
      parameters:
        - name: type
          description: >-
            The Wireless Blocklist type for which to list possible values (e.g.,
            `country`, `mcc`, `plmn`).
          schema:
            type: string
            enum:
              - country
              - mcc
              - plmn
            example: country
          in: query
          required: true
      responses:
        '200':
          description: A list of possible wireless blocklist values
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    oneOf:
                      - title: Country
                        type: array
                        items:
                          $ref: '#/components/schemas/Country'
                      - title: MCC
                        type: array
                        items:
                          $ref: '#/components/schemas/MCC'
                      - title: PLMN
                        type: array
                        items:
                          $ref: '#/components/schemas/PLMN'
                  meta:
                    $ref: '#/components/schemas/PaginationMeta'
        '404':
          $ref: '#/components/responses/wireless_ResourceNotFound'
        default:
          $ref: '#/components/responses/wireless_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const wirelessBlocklistValues = await
            client.wirelessBlocklistValues.list({ type: 'country' });


            console.log(wirelessBlocklistValues.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            wireless_blocklist_values = client.wireless_blocklist_values.list(
                type="country",
            )
            print(wireless_blocklist_values.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\twirelessBlocklistValues, err := client.WirelessBlocklistValues.List(context.TODO(), telnyx.WirelessBlocklistValueListParams{\n\t\tType: telnyx.WirelessBlocklistValueListParamsTypeCountry,\n\t})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", wirelessBlocklistValues.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.wirelessblocklistvalues.WirelessBlocklistValueListParams;

            import
            com.telnyx.sdk.models.wirelessblocklistvalues.WirelessBlocklistValueListResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    WirelessBlocklistValueListParams params = WirelessBlocklistValueListParams.builder()
                        .type(WirelessBlocklistValueListParams.Type.COUNTRY)
                        .build();
                    WirelessBlocklistValueListResponse wirelessBlocklistValues = client.wirelessBlocklistValues().list(params);
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            wireless_blocklist_values =
            telnyx.wireless_blocklist_values.list(type: :country)


            puts(wireless_blocklist_values)
        - lang: CLI
          source: |-
            telnyx wireless-blocklist-values list \
              --api-key 'My API Key' \
              --type country
components:
  schemas:
    Country:
      type: object
      title: Country
      properties:
        code:
          type: string
          description: ISO 3166-1 Alpha-2 Country Code.
          example: US
        name:
          type: string
          description: The name of the country.
          example: United States of America
      required:
        - code
        - name
    MCC:
      type: object
      title: Mobile Country Code
      properties:
        code:
          type: string
          description: Mobile Country Code.
          example: '311'
        name:
          type: string
          description: The name of the country.
          example: United States of America
      required:
        - code
        - name
    PLMN:
      type: object
      title: Public land mobile network
      properties:
        code:
          type: string
          description: Public land mobile network code (MCC + MNC).
          example: '311210'
        name:
          type: string
          description: The name of the network.
          example: Telnyx, LLC
      required:
        - code
        - name
    PaginationMeta:
      type: object
      properties:
        total_pages:
          type: integer
          example: 3
        total_results:
          type: integer
          example: 55
        page_number:
          type: integer
          example: 2
        page_size:
          type: integer
          example: 25
    wireless_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
          additionalProperties: true
      type: object
    wireless_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/wireless_Error'
      type: object
  responses:
    wireless_ResourceNotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/wireless_Error'
    wireless_GenericErrorResponse:
      description: Unexpected error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/wireless_Errors'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````